﻿@page "/login"
@layout LoginLayout
@inherits LoginViewModel

<h1 class="h2 font-weight-normal login-title">
  PDM-система
</h1>

<div class="form-signin">
  <EditForm Model="@UserModel"
            OnValidSubmit="@OnSubmitAsync">
    <h4 class="font-weight-normal text-center">Вход в систему</h4>
    <DataAnnotationsValidator />
    <ValidationSummary />

    <div class="form-group">
      <label for="inputUserName"
             class="sr-only">
        Логин
      </label>
      <input id="inputUserName"
             type="text"
             class="form-control"
             placeholder="Введите логин"
             required
             autofocus
             bind="@UserModel.UserName" />
    </div>
    <div class="form-group">
      <label for="inputPassword"
             class="sr-only">
        Пароль
      </label>
      <input id="inputPassword"
             type="password"
             class="form-control"
             placeholder="Введите пароль"
             required
             bind="@UserModel.Password" />
    </div>
    <div class="form-check m-3">
      <input type="checkbox"
             id="inputRememberMe"
             class="form-check-input"
             bind="@UserModel.RememberMe" />
      <label class="form-check-label"
             for="inputRememberMe">
        Запомнить?
      </label>
    </div>

    <button class="btn btn-lg btn-primary btn-block" type="submit">Войти</button>

    <label class="text-danger">@Error</label>

    <NavLink href="register">
      <h6 class="font-weight-normal text-center">Создать аккаунт</h6>
    </NavLink>
  </EditForm>
</div>

